<?php
include($cms['tngpath'] . "surname_cloud.class.php");
$flags['noicons'] = 1;
tng_header($sitename ? "" : $text['mnuheader'], $flags);
if($sitever == "mobile") {
?>
<!-- BEGIN: Mobile banner stripe -->
<div class="headerrow" style="background-image: url(<?php echo $cms['tngpath'] . $templatepath; ?><?php echo $tmp['tNearDawn_headimg']; ?>);background-position:right">
  <br/>  
  <span class="headertext text_white">
    <?php echo getTemplateMessage('tNearDawn_headtitle1'); ?>
  </span>
  <span class="headertext text_tan">
    <?php echo getTemplateMessage('tNearDawn_headtitle2'); ?>
  </span>
  <span class="headertext text_white">
    <?php echo getTemplateMessage('tNearDawn_headtitle3'); ?>
  </span>
</div>
<br/>
<!-- END: Mobile Banner stripe -->
<?php
}
?>
<table class="home_table">
  <tr>
    <!-- BEGIN: Home navigation (left) -->
    <td id="home_nav">
      <!-- BEGIN: Mom's Side (optional) -->
      <?php if (getTemplateMessage('tNearDawn_showmom') == 'no') echo '<!--'; ?>
      <div class="nav_box">
        <div style="margin-bottom: 7px;">
          <span class="nav_header">
            <?php echo getTemplateMessage('tNearDawn_momside'); ?>
          </span>
        </div>
        <ul class="lastnav">
          <li>
            <a href="pedigree.php?personID=<?php echo $tmp['tNearDawn_momperson']; ?>&amp;tree=<?php echo $tmp['tNearDawn_momtree']; ?>">
              <?php echo getTemplateMessage('tNearDawn_momsidenames'); ?>
            </a>
          </li>
        </ul>
      </div>
      <?php if (getTemplateMessage('tNearDawn_showmom') == 'no') echo '-->'; ?>
      <!-- END: Mom's Side (optional) -->
      <!-- BEGIN: Dad's Side (optional) -->      
      <?php if (getTemplateMessage('tNearDawn_showdad') == 'no') echo '<!--'; ?>
      <div class="nav_box">
        <div style="margin-bottom: 7px;">
          <span class="nav_header">
            <?php echo getTemplateMessage('tNearDawn_dadside'); ?>
          </span>
        </div>
        <ul class="lastnav">
          <li>
            <a href="pedigree.php?personID=<?php echo $tmp['tNearDawn_dadperson']; ?>&amp;tree=<?php echo $tmp['tNearDawn_dadtree']; ?>">
              <?php echo getTemplateMessage('tNearDawn_dadsidenames'); ?>
            </a>
          </li>
        </ul>
      </div>
      <?php if (getTemplateMessage('tNearDawn_showdad') == 'no') echo '-->'; ?>
      <!-- END: Dad's Side (optional) -->
      <!-- BEGIN: Nav Menu -->
      <div class="nav_box">
        <div style="margin-bottom: 7px;">
          <span class="nav_header"><?php echo getTemplateMessage('tNearDawn_menutitle'); ?></span>
        </div>
        <ul class="homenav">
          <li><a href="whatsnew.php"><?php echo $text['mnuwhatsnew']; ?></a></li>
        </ul>
        <ul class="homenav">
          <li><a href="cemeteries.php"><?php echo $text['mnucemeteries']; ?></a></li>
          <li><a href="browsemedia.php?mediatypeID=documents"><?php echo $text['documents']; ?></a></li>
          <li><a href="browsemedia.php?mediatypeID=headstones"><?php echo $text['mnutombstones']; ?></a></li>
          <li><a href="browsemedia.php?mediatypeID=histories"><?php echo $text['mnuhistories']; ?></a></li>
          <li><a href="browsemedia.php?mediatypeID=photos"><?php echo $text['mnuphotos']; ?></a></li>
          <li><a href="reports.php"><?php echo $text['mnureports']; ?></a></li>
          <li><a href="browsesources.php"><?php echo $text['mnusources']; ?></a></li>
        </ul>
        <ul class="homenav">
          <li><a href="anniversaries.php"><?php echo $text['dates']; ?></a></li>
          <li><a href="places.php"><?php echo $text['places']; ?></a></li>
          <li><a href="statistics.php"><?php echo $text['mnustatistics']; ?></a></li>
        </ul>
        <ul class="lastnav">
          <?php
            if ($allow_admin) 
              echo "<li><a href=\"admin.php\">{$text['mnuadmin']}</a></li>";
          ?>
        </ul>
      </div>
      <!-- END: Nav Menu -->
    </td>
    <!-- END: Home navigation (left) -->
    <!-- BEGIN: Home content -->
    <td id="home_content">
      <table cellspacing="0">
        <tr>
          <!-- BEGIN: Main (column 1) -->
          <td class="home_section home_col1">
            <?php 
              if (getTemplateMessage('tNearDawn_usescroll') == 'yes') 
              {
                if (getTemplateMessage('tNearDawn_showcloud') == 'no')
                  echo "            <div class=\"home_box_tall\">"; 
                else
                  echo "            <div class=\"home_box_short\">";
              } else {
                echo "            <div>";
              }
            ?>   
              <span class="home_header"><?php echo $text['welcome']; ?></span><br/>
              <p>
                <!-- Random photo -->
                <?php include("randomphoto.php"); ?>
                <!-- Main paragraph -->
                <?php echo getTemplateMessage('tNearDawn_mainpara'); ?>
              </p>
            </div>
          </td>
          <!-- END: Main (column 1) -->
          <!-- BEGIN: Main (column 2) -->
          <td class="home_section">
            <?php 
              if (getTemplateMessage('tNearDawn_usescroll') == 'yes') 
              {
                if (getTemplateMessage('tNearDawn_showcloud') == 'no')
                  echo "            <div class=\"home_box_tall\">"; 
                else
                  echo "            <div class=\"home_box_short\">";
              } else {
                echo "            <div>";
              }
            ?>   
              <span class="home_header"><?php echo $text['mostwanted']; ?></span><br/>
              <p>
                I am looking for information about 
                <a href="mostwanted.php">these ancestors</a>.  
                Can you help?
              </p>
              <span class="home_header"><?php echo $text['contactus']; ?></span><br/>
              <p>
                <?php echo $text['contactus_long']; ?>
              </p>
            </div>
          </td>
          <!-- END: Main (column 2) -->
          <!-- BEGIN: Main (column 3) -->
          <td class="home_section">
            <?php 
              if (getTemplateMessage('tNearDawn_usescroll') == 'yes') 
              {
                if (getTemplateMessage('tNearDawn_showcloud') == 'no')
                  echo "            <div class=\"home_box_tall\">"; 
                else
                  echo "            <div class=\"home_box_short\">";
              } else {
                echo "            <div>";
              }
            ?>   
              <span class="home_header"><?php echo $text['latestnews']; ?></span>
              <p>
                <!-- Latest News -->
                <?php echo getTemplateMessage('tNearDawn_latestnews'); ?>
              </p>
            </div>
          </td>
          <!-- END: Main (column 3) -->
        </tr>
        <!-- BEGIN: Surname Cloud (optional) -->
        <?php if (getTemplateMessage('tNearDawn_showcloud') == 'no') echo '<!--'; ?>   
        <tr>
          <td colspan="3">
            <div style="text-align: center;">
              <div style="width: 450px; margin: auto; border-top: 1px solid;
                          padding-bottom: 7px;">
              </div>
              <div style="padding: 0 67px 9px 67px;">
                <?php
                  $nc = new surname_cloud();
                  $nc->display(getTemplateMessage('tNearDawn_cloudnames'));
                ?>
              </div>
            </div>
          </td>
        </tr>
        <?php if (getTemplateMessage('tNearDawn_showcloud') == 'no') echo '-->'; ?>   
        <!-- END: Surname Cloud (optional) -->
      </table>
    </td>
  </tr>
</table>
<?php
echo tng_footer($flags);
?>